- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mysqlpp::BadFieldName Class Reference

Exception thrown when a requested named field doesn't exist. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadFieldName:
[legend]
Collaboration diagram for mysqlpp::BadFieldName:
[legend]

## Public Member Functions
| BadFieldName (const char *bad_field)
| Create exception object. More...
| ~BadFieldName () throw ()
| Destroy exception.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members
Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when a requested named field doesn't exist.

Thrown by Row::lookup_by_name() when you pass a field name that isn't in the result set.

## Constructor & Destructor Documentation

mysqlpp::BadFieldName::BadFieldName | ( | const char * | bad_field | ) |
| inline explicit

Create exception object.

Parameters

  bad_field | name of field the database server didn't like

The documentation for this class was generated from the following file:

- exceptions.h